## org.bn.compiler.parser.model
Class Intersection

    java.lang.Object
      org.bn.compiler.parser.model.Intersection

    public class Intersection

extends java.lang.Object

Field Summary
`java.util.ArrayList` `cnsElemList`
`java.util.ArrayList` `exceptCnsElem`
`boolean` `isExcept`
`boolean` `isInterSection`

Constructor Summary
`Intersection()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cnsElemList

    public java.util.ArrayList cnsElemList

### exceptCnsElem

    public java.util.ArrayList exceptCnsElem

### isExcept

    public boolean isExcept

### isInterSection

    public boolean isInterSection

Constructor Detail

### Intersection

    public Intersection()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`